#
# spec file for package gnome-firmware
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-firmware
Version:        3.34.0
Release:        lp152.1.3
Summary:        Install firmware on devices
License:        GPL-2.0-or-later
Group:          System/Management
URL:            https://gitlab.gnome.org/hughsie/gnome-firmware-updater
Source0:        %{name}-%{version}.tar.xz
Patch0:         do-not-call-gtk_init-manually.patch

BuildRequires:  gobject-introspection
BuildRequires:  help2man
BuildRequires:  meson
BuildRequires:  perl-forks
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(fwupd) >= 1.2.10
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(xmlb)

Provides:       gnome-firmware-updater = %{version}-%{release}
Obsoletes:      gnome-firmware-updater < %{version}-%{release}
Provides:       gnome-firmware-updater-lang = %{version}-%{release}
Obsoletes:      gnome-firmware-updater-lang < %{version}-%{release}
%lang_package

%description
This application can update, reinstall and downgrade firmware on devices
supported by fwupd.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file -r -G "Install firmware on devices" org.gnome.Firmware "GTK;GNOME;Settings;HardwareSettings;"

%find_lang %{name}

%files
%license COPYING
%doc README.md
%{_bindir}/gnome-firmware
%{_datadir}/applications/org.gnome.Firmware.desktop
%{_datadir}/metainfo/org.gnome.Firmware.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Firmware.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Firmware-symbolic.svg
%{_mandir}/man1/gnome-firmware.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Wed Jan 29 2020 Bjørn Lie <bjorn.lie@gmail.com>
- No longer recommend -lang: supplements are in use.
* Fri Sep 20 2019 ecsos@opensuse.org
- Minimum required fwupd version is 1.2.10
* Tue Sep 17 2019 bjorn.lie@gmail.com
- Tweak _service file.
* Mon Sep 16 2019 dead_mozay@opensuse.org
- Update to version 3.34.0:
  * Use the project name of GNOME Firmware
  * Add a rough application icon
  * Build a man page for the Fedora package
  * Bump the version to match the GNOME release schedule
  * trivial: Make the device and firmware labels selectable
  * trivial: Make the GUID value monospace
  * trivial: Use sentence case in the main UI
  * Show more information and devices in the UI
  * trivial: Fix a logic thinko when displaying checksum hashes
* Thu Sep 12 2019 dead_mozay@opensuse.org
- Update to version 0.0.1~git.20190911:
  * Fix main window width
  * trivial: Update BRs to build in COPR
* Tue Sep 10 2019 dead_mozay@opensuse.org
- Update to version 0.0.1~git.20190904:
  * Update screenshots to include releases page as well
  * Revert "Tweak UI to take less horizontal space"
* Tue Sep  3 2019 dead_mozay@opensuse.org
- Update to version 0.0.1~git.20190830:
  * Add a screenshot
  * Tweak UI to take less horizontal space
* Fri Aug 30 2019 Dead Mozay <dead_mozay@opensuse.org>
- Change format version
* Wed Aug 28 2019 dead_mozay@opensuse.org
- Update to version git+20190827.d5014ed:
  * trivial: Style fixups
  * Always include config.h in C source files
  * Use SPDX-License-Identifier in all source files
  * trivial: Use symbolic icons for the device flags
  * Do not show an icon for registered
  * trivial: don't allow verify button to work on locked devices
  * Correct the messaging associated with pressing the verify button
  * trivial: cover the case of clicking a device with and then without vendor
  * trivial: add a .gitignore
  * trivial: Be clearer about version strings
* Wed Aug 28 2019 Dead Mozay <dead_mozay@opensuse.org>
- Initial package
